Skip to main content
GET
List approvals by person

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Path Parameters

id
string
required

The id of the organization of the user UUID without dashes (32-character hex string)

Pattern: ^[0-9a-fA-F]{32}$

Query Parameters

max
integer<int>
default:10

max records to return

Required range: 1 <= x <= 1000
offset
integer<int>
default:0

the offset to be used in list

Required range: x >= 0
statuses
enum<string>[]

Comma separated list of statuses to include, to exclude a status use ! before the status

Available options:
APPROVAL,
APPROVED,
BULK_TRANSFER,
DELETED,
ERROR,
NEW,
NORMAL,
ON_HOLD,
PAID,
READY_TO_SEND,
REJECTED,
REVIEW,
SEND,
SENT,
TRANSFER,
TRANSFER_TO_RECIPIENT

Response

200 - application/json

OK

profilePictureUrl
string
read-only
firstName
string
read-only
lastName
string
read-only
totalAmount
number
read-only
totalAmountDescription
string
read-only
numberOfApprovals
number
read-only
personId
string
read-only

UUID without dashes (32-character hex string)

Pattern: ^[0-9a-fA-F]{32}$
Last modified on August 31, 2026